libpappsomspp (0.9.38-1build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 27 Jan 2025 18:02:54 +0000

libpappsomspp (0.9.38-1) unstable; urgency=medium

  * New upstream version, see below.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 19 Jul 2024 16:40:15 +0200

libpappsomspp (0.9.37-1~bookworm+1) bookworm; urgency=medium

  [ Filippo Rusconi ]
  * Work on renaming functions and member variables for clarity
  * Add convenience function getTimsMS2FrameIdsInRtRange()

  [ Olivier Langella ]
  * Refactoring TimsData object : definition of 2 components, one
  for DDA precursors and a new one for DIA slices
  * New tests added for DDA DIA new API

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 15 Jul 2024 13:58:33 +0200

libpappsomspp (0.9.34-1) unstable; urgency=low

  * Incremental improvements to the handling of Bruker timsTOF data.
  * Fix bug that failed loading Bruker timsTOF data with a restricting
    m/z range.
  * Apply the patch from Gianfranco Costamagna <locutusofborg@debian.org> (see
    0.9.32-1.1 below. Grazie Gianfranco!). Closes: #1072264.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 31 May 2024 11:30:34 +0200

libpappsomspp (0.9.33-1~bookworm+1) bookworm; urgency=medium

  * Fix for the parallel file loading bug in the MXE cross compiler
    context

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 23 May 2024 13:32:34 +0200

libpappsomspp (0.9.32-1.1) unstable; urgency=medium

  * Non-maintainer upload (Closes: #-1)
  * Bump compat level to 13
  * Run tests in dh_auto_test target, this should fix tests when
    nocheck is on
  * Also export -DBUILD_TESTING=1 variable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 May 2024 11:36:18 +0200

libpappsomspp (0.9.32-1) unstable; urgency=low

  * New upstream version fixing parallel file-loading  bug.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 21 May 2024 19:16:44 +0200

libpappsomspp (0.9.31-1) unstable; urgency=low

  * New upstream with bug fix.

  * This package does not need t64 transition processing, although it
    reverse-depends on affected libquazip1-qt6 via odsstream
    (no changes needed because the required package is a -dev package).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 16 May 2024 11:01:17 +0200

libpappsomspp (0.9.30-1~bookworm+1) bookworm; urgency=medium

  [ Filippo Rusconi ]
  * New version of dep lib libodsstream;
  * Speed improvements to the Bruker BafAscii file reader.
  * Configure build in MXE.
  * Other small fixes.

  [ Olivier Langella ]
  * fix wrong assignment of msrun id in the pwiz reader

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 15 May 2024 11:09:54 +0200

libpappsomspp (0.9.29-1~bookworm+1) bookworm; urgency=medium

  * New package linked to libpwizlite3t64 3.0.6 with HDF5 support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 25 Apr 2024 15:40:48 +0200

libpappsomspp (0.9.28-1~bookworm+1) bookworm; urgency=medium

  * New package linked to libpwizlite 3.0.6 with HDF5 support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 30 Mar 2024 09:36:23 +0100

libpappsomspp (0.9.27-1~bookworm+1) bookworm; urgency=medium

  * bypass tandemwrapper for tandemng2015p

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 29 Mar 2024 13:28:27 +0100

libpappsomspp (0.9.26-1~bookworm+1) bookworm; urgency=medium

  * bypass tandemwrapper for tandemng2015

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 26 Mar 2024 15:04:30 +0100

libpappsomspp (0.9.25-1~bookworm+1) bookworm; urgency=medium

  [ Olivier Langella ]
  * Experimental tests on protein alignments
  [ Filippo Rusconi ]
  * Bruker Baf to Ascii support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 29 Feb 2024 14:53:10 +0100

libpappsomspp (0.9.24-1) unstable; urgency=low

  * New upstream version fixing problem with ion mobility values
    in different vendor format files.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 13 Feb 2024 19:37:12 +0100

libpappsomspp (0.9.23-1) unstable; urgency=low

  * New upstream release.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 07 Feb 2024 14:37:05 +0100

libpappsomspp (0.9.22-1~bookworm+1) bookworm; urgency=medium

  [ Olivier Langella ]
  * PSI-MOD obo file updated to latest version PSI-MOD version: 1.031.6
  * Get PSI-MS data file format from MsDataFormat enumeration
  * Experimental stuff to code protein sequence in integers
  [ Filippo Rusconi ]
  * New combiners
  * Refactoring plot widgets
  * Rename MzFormat enumaration to MsDataFormat
  * Replaced the SelectionPolygon by IntegrationScope

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 30 Jan 2024 11:21:23 +0100

libpappsomspp (0.9.21-1~bookworm+1) bookworm; urgency=medium

  * Integration of the Spectree algorithm described in
    https://doi.org/10.1021/acs.jproteome.7b00308

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 20 Dec 2023 12:14:38 +0100

libpappsomspp (0.9.20-1) unstable; urgency=low

  * New upstream version. See git log.
  * Update libodsstream-dev (>= 0.9.6).
  * Standards-Version: 4.6.2.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 Dec 2023 22:25:25 +0100

libpappsomspp (0.9.19-1~bookworm+1) bookworm; urgency=medium

  [ Olivier Langella ]
  * Update dependency to new version of odsstream.
  * SpecGlobX algorithm added in processing/specglob/*
  * all tests are now under a single catch2. or catch3.x binary
  * HUPO-SI ProForma peptide notation support added
  [ Filippo Rusconi ]
  * fix Bruker data read process regarding mz range definition

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 04 Dec 2023 09:23:08 +0100

libpappsomspp (0.9.18-1) unstable; urgency=low

  * New upstream version.
  * Update dependency to new version of odsstream.
  * Fixes to the test files that use Catch2 (header inclusion changed between
    version 2.x and 3.x.).
  * Note that this version does compile with the experimental/libboost1.83.0
    libs, and tests run flawlessly, which means we can safely
    (Closes: #1056098).

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 18 Nov 2023 22:44:09 +0100

libpappsomspp (0.9.17-1) unstable; urgency=low

  * Fixes (hopefully) to tests that failed under some platforms. This entailed
    using some tolerance in the way double values are compared.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 29 Aug 2023 12:42:55 +0200

libpappsomspp (0.9.16-1) unstable; urgency=low

  * New upstream version trying to explore the test run failures observed on
    other platforms than amd64. Namely, the fact that Catch2-based tests are
    run using dh_test as a single test with no meaningful output to check why
    it fails.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 28 Aug 2023 10:15:05 +0200

libpappsomspp (0.9.15-1) unstable; urgency=low

  * Force new upstream to upload tar.gz.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 25 Aug 2023 12:29:38 +0200

libpappsomspp (0.9.14-1) unstable; urgency=low

  * WIP: allow the possibility to configure the loading process for Bruker
    timsTOF data files.

  * Packaging for Debian unstable.

  * Make tests build and run fine in d/rules. Required working on
    tests/CMakeLists.txt to change LD_LIBRARY_PATH to the catch2 based
    test binary.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 24 Aug 2023 14:27:24 +0200

libpappsomspp (0.9.14-1~bookworm+1) bookworm; urgency=medium

  * bug fix on new Peptide::addAaModificationOnAllAminoAcid function
  used for C13N15 labeling

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 24 Aug 2023 13:08:56 +0200

libpappsomspp (0.9.13-1) unstable; urgency=low

  * Fix missing cstdint include.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 21 Aug 2023 19:36:58 +0200

libpappsomspp (0.9.13-1~bookworm+1) bookworm; urgency=medium

  [ Olivier Langella ]
  * tests for C13N15 methods
  * implementation of distance between traces based on the similarity cosine method
  [ Filippo Rusconi ]
  * implementation of C13N15 internal controled vocabulary
  * WIP: redesigning API for much flexible msrun reader

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 19 Jul 2023 15:03:01 +0200

libpappsomspp (0.9.12-1) unstable; urgency=low

  * Nothing new, just keeping up with version numbering... See version
    0.9.10-1 for details.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 20 Jun 2023 15:55:08 +0200

libpappsomspp (0.9.11-1~bookworm+1) bookworm; urgency=medium

  * new bookworm package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 16 Jun 2023 17:48:45 +0200

libpappsomspp (0.9.10-1~bullseye+1) bullseye; urgency=medium

  * work on PSM features

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 04 May 2023 15:33:21 +0200

libpappsomspp (0.9.10-1) unstable; urgency=low

  * New upstream version fixing odd bug with fabs() required when a double
    value is negative (determination of the decimals required to display
    values in the traces upon measurement of inter-peak distances).
  * Indirectly fix the #include <cstdint> that was missing in libpwizlite and
    that made build failures with new g++-13 (Closes: #1037734).

  * libpwizlite-dev (>= 3.0.5) version dependency update.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 27 Apr 2023 17:13:46 +0200

libpappsomspp (0.9.9-1) unstable; urgency=medium

  * minX and maxX on trace

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 17 Mar 2023 16:25:31 +0100

libpappsomspp (0.9.7-1) bullseye; urgency=medium

  * Full Qt6 switch

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 17 Mar 2023 13:14:07 +0100

libpappsomspp (0.9.6-1) unstable; urgency=low

  * New upstream. Last chance to upload before the freeze.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 13 Feb 2023 13:30:40 +0100

libpappsomspp (0.9.5-1~bullseye+1) bullseye; urgency=medium

  * new IonMobilityGrid object to align mobility between runs

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 01 Feb 2023 10:44:41 +0100

libpappsomspp (0.9.4-1~bullseye+1) bullseye; urgency=medium

  * merge qt6 branch developments.
  * replace libalglib polynome solver with a Cardano's implementation, to
  improve CPU performances.
  Thanks to "Sergey Bochkanov" <sergey.bochkanov@alglib.net> for the advice.

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 05 Jan 2023 11:43:45 +0100

libpappsomspp (0.9.3-1) unstable; urgency=low

  * New upstream version with code cleanup;

  * Remove version constraints on the build-deps packages (thanks Janitor).

  * Made BasePlotContext a true base class for MassSpecTraceplotContext.

  * Hopefully fix bug (Closes: #1027554). Thanks to Lucas Nussbaum
    (<lucas@debian.org>) for reporting it. Note that the software builds fine
    uncorrected in a chroot sid environment.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 01 Jan 2023 16:24:07 +0100

libpappsomspp (0.9.2-1) unstable; urgency=low

  * New upstream fixing small glitches and setting bumped-up version for
    libodsstream-dev as a build-dep package.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 14 Dec 2022 13:42:23 +0100

libpappsomspp (0.9.1-2) unstable; urgency=low

  * Started implementing a MS run reader that combines all the mobility scans
    into a single mass spectrum. This way, mineXpert2 can load Bruker timsTOF
    data in a pretty reasonable time.

  * Other improvements and fixes to the Qt6 port.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 13 Dec 2022 17:57:07 +0100

libpappsomspp (0.9.0-1) unstable; urgency=low

  * Comment for FTPMasters: this source package is only different than the
    previous one by the name of the binary packages that it creates.

  * New version that builds against Qt6.

  * Other improvements and fixes in the CMake-based build system.

  * Standards-Version: 4.6.0 (routine update).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 24 Nov 2022 23:23:37 +0100

libpappsomspp (0.8.61-1~bullseye+1) bullseye; urgency=medium

  * cmake rework
  * merging qt6 branch
  * use qcustomplot 2.1 library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 30 Nov 2022 11:11:58 +0100

libpappsomspp (0.8.60-1~bullseye+1) bullseye; urgency=medium

  * bullseye backport

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 31 Oct 2022 09:06:33 +0100

libpappsomspp (0.8.60-1) unstable; urgency=low

  * Fix the distribution... was working too late at night...

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 28 Oct 2022 10:20:12 +0200

libpappsomspp (0.8.59-1) bullseye; urgency=low

  * New upstream version.

  * Incidentally, previous version was to fix a bug that was published in
    betwwen the previous version and this one: (Closes: #1022934).

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 28 Oct 2022 03:30:29 +0200

libpappsomspp (0.8.58-1) bullseye; urgency=low

  * New upstream version (see 0.8.57-1~bullseye+1).

  * Standards-Version: 4.6.1.

  * d/rules: Fix by Adrian Bunk to work around the excess precision of the x87
    FPU that causes
    https://buildd.debian.org/status/logs.php?pkg=libpappsomspp&arch=i386.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 27 Oct 2022 10:38:00 +0200

libpappsomspp (0.8.57-1~bullseye+1) bullseye; urgency=medium

  [ Olivier Langella ]
  * avoid nullptr calls in custom plot widgets
  * new tims frame widget color map
  * better tdf handler
  * new tests for protein , enzyme, psm, psmfeaures
  * new psm feature API
  [ Filippo Rusconi ]
  * refactoring work to compile using Qt6

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 04 Oct 2022 17:02:43 +0200

libpappsomspp (0.8.56-1) unstable; urgency=low

  * New version that implements features in the dt|rt,m/z color map realms.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 30 Aug 2022 14:54:53 +0200

libpappsomspp (0.8.55-1) unstable; urgency=low

  * New version to fix the destination distribution.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 Jul 2022 13:06:19 +0200

libpappsomspp (0.8.54-1) bullseye; urgency=low

  * New upstream release fixing bug in color map plot panning when any axis is
    locked (Filippo Rusconi).

  * d/control: bump-up dependency for odsstream to 0.8.1.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 08 Jul 2022 15:52:47 +0200

libpappsomspp (0.8.53-1~bullseye+1) bullseye; urgency=medium

  * fix for issue #17 in MassChroQ

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 30 Jun 2022 13:40:16 +0200

libpappsomspp (0.8.52-1) unstable; urgency=low

  * New upstream version fixing one critical bug in the calculation of the
    decimals in a value (infinite loop).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 29 Jun 2022 20:12:33 +0200

libpappsomspp (0.8.51-1~bullseye+2) bullseye; urgency=medium

  * fix for issue #11

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 23 Jun 2022 13:19:23 +0200

libpappsomspp (0.8.51-1~bullseye+1) bullseye; urgency=medium

  * tdf reader enhancements

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 22 Jun 2022 09:42:32 +0200

libpappsomspp (0.8.50-1) unstable; urgency=low

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 17 Jun 2022 10:23:51 +0200

libpappsomspp (0.8.49-1) unstable; urgency=medium

  * New upstream release.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 15 Mar 2022 16:42:27 +0100

libpappsomspp (0.8.49-1~bullseye+1) bullseye; urgency=medium

  * mzdata conversion time displayed in tandemwrapper
  * new package using libpwizlite 3.0.4

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 13 Mar 2022 17:52:32 +0100

libpappsomspp (0.8.48-1) unstable; urgency=low

  * New upstream version with new features from Olivier Langella (see stanzas
    below) and Filippo Rusconi (mainly a new low intensity threshold removal
    filter).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 31 Jan 2022 16:00:07 +0100

libpappsomspp (0.8.47-1~bullseye+1) bullseye; urgency=medium

  * new msrun alignment API

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 26 Jan 2022 09:20:02 +0100

libpappsomspp (0.8.46-1~bullseye+1) bullseye; urgency=medium

  * XML stream reader also reads from a QString

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 24 Jan 2022 14:47:52 +0100

libpappsomspp (0.8.45-1~bullseye+1) bullseye; urgency=medium

  * fix xml stream reader emty string problem
  * fix tdf filename and sample name
  * better filter suite string and iterators
  * more efficient multithreaded xic extraction
  * mzformat is written into tandem result file

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 02 Jan 2022 17:10:58 +0100

libpappsomspp (0.8.44-1~bullseye+1) bullseye; urgency=medium

  * fix quantile on trace size equal 0

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 21 Dec 2021 13:03:26 +0100

libpappsomspp (0.8.43-1~bullseye+1) bullseye; urgency=medium

  * fix fragment ion name API design
  * new filter to remove intensity using a quantile function : implementation and tests

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 21 Dec 2021 08:44:14 +0100

libpappsomspp (0.8.42-1~bullseye+1) bullseye; urgency=medium

  * better peptide fragment ion names for phopho acid loss
  * rework of alignment API

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 16 Dec 2021 12:05:31 +0100

libpappsomspp (0.8.41-1~bullseye+1) bullseye; urgency=medium

  [ Olivier Langella ]
  * remove pseudo centroid filter and remaining pwiz files
  * fix C12 abundance
  * parallelized xic extractor
  * better XML error handler
  * better ion names in mass spectrum widget
  * fix tandem wrapper and new tests
  [ Filippo Rusconi ]
  * improvements to the documentation and comments
  * convenient function to insert/update datapoints in traces
  * new tests (xic chromatogram and xic extractor to mass spectrum)

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 11 Dec 2021 11:13:39 +0100

libpappsomspp (0.8.40-1~bullseye+1) bullseye; urgency=medium

  * new bullseye package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 23 Nov 2021 08:52:11 +0100

libpappsomspp (0.8.39-1~bullseye+2) bullseye; urgency=medium

  * new bullseye package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 22 Nov 2021 14:56:09 +0100

libpappsomspp (0.8.39-1) unstable; urgency=low

  * New upstream version (see below).

  * Fixes to the build by adding #include <limits> where required (build with
    g++ v 11.2.0).

    Many thanks to Adrian Bunk <bunk@debian.org> for the patch (although not
    applied as-is). Closes: #984199.

  * Bump-up Standards to 4.6.0

  * Add watch file that points to the forgemia GitLab repos instance.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 10 Nov 2021 16:32:10 +0100

libpappsomspp (0.8.38-1~buster+1) buster; urgency=medium

  * essential function to allow compression type 1 XIC extraction

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 07 Nov 2021 09:01:21 +0100

libpappsomspp (0.8.37-1~buster+1) buster; urgency=medium

  [ Olivier Langella ]
  * more exceptions concerning timsTOF data reader for better reliability
  * support for the timsTOF compression type 1 (legacy data files) and tests
  * better tandemrunwrapper
  [ Filippo Rusconi ]
  * improvements to the filters
  * better mz integration tests

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 05 Nov 2021 16:11:09 +0100

libpappsomspp (0.8.36-1~buster+1) buster; urgency=medium

  * fix a new peak detection crash on small XICs, tests added

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 30 Sep 2021 09:14:00 +0200

libpappsomspp (0.8.35-1~buster+1) buster; urgency=medium

  [ Olivier Langella ]
  * fix peak detection crash on small XICs, tests added
  [ Filippo Rusconi ]
  * better plot widget color map
  * new function in filter name interface to get the name of the filter

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 28 Sep 2021 09:27:45 +0200

libpappsomspp (0.8.34-1~buster+1) buster; urgency=medium

  * new text user interface monitor to display progress using percent
  * new function to add filters from QStrings in a filter suite

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 27 Sep 2021 09:29:36 +0200

libpappsomspp (0.8.33-1~buster+1) buster; urgency=medium

  * fix out of range possible access when extracting XIC on tims data
  * new trace peak vector and convenient API to choose matched peaks

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 20 Sep 2021 15:40:38 +0200

libpappsomspp (0.8.32-1~buster+1) buster; urgency=medium

  * msrun reader collection handler refactoring
  * better reader performance on timstof data
  * special API for MassChroQ

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 15 Sep 2021 11:30:24 +0200

libpappsomspp (0.8.31-1~buster+1) buster; urgency=medium

  * new widget to handle a switch button, Thomas Renne <thomas.renne@e.email>

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 24 Aug 2021 15:59:55 +0200

libpappsomspp (0.8.30-1~buster+1) buster; urgency=medium

  * fix QProcess mecanism to execute tandem

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 23 Jun 2021 10:35:48 +0200

libpappsomspp (0.8.29-1~buster+1) buster; urgency=medium

  * issue #9 fixed : conversion problem between uint and ulong
  * better memory management in TIMS frame decoder

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 03 Jun 2021 07:54:59 +0200

libpappsomspp (0.8.28-1~buster+1) buster; urgency=medium

  * new TandemRunWrapper, runs on any mz data file
  * generic UiMonitorInterface to manage long process
  * X!Tandem error management

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 20 May 2021 10:14:29 +0200

libpappsomspp (0.8.27-1~buster+1) buster; urgency=medium

  * binary package for PAPPSO repository

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 12 May 2021 18:14:27 +0200

libpappsomspp (0.8.26-2) buster; urgency=medium

  * new tandem run wrapper API

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 12 May 2021 17:14:27 +0200

libpappsomspp (0.8.26-1) buster; urgency=medium

  * new XIC extraction API, enabling ion mobility

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 06 May 2021 14:34:14 +0200

libpappsomspp (0.8.25-2) unstable; urgency=low

  * New upload with orig.tar.gz. The buster version by Olivier made dpkg think
    this was not a version needing orig.tar.gz.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 21 Apr 2021 22:21:44 +0200

libpappsomspp (0.8.25-1) unstable; urgency=low

  * New upstream version with new noise reduction
    features for the color maps.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 21 Apr 2021 15:59:49 +0200

libpappsomsp (0.8.25-1~buster+1) buster; urgency=medium

  * widgets to handle OBO terms

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 21 Apr 2021 14:40:23 +0200

libpappsomspp (0.8.24-1) unstable; urgency=low

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 08 Apr 2021 09:54:26 +0200

libpappsomspp (0.8.23-1~buster+1) buster; urgency=medium

  * mass spectrum widget API modified to highlight precursor

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 01 Apr 2021 14:24:04 +0200

libpappsomspp (0.8.23-1) unstable; urgency=low

  * The tests that failed in i386 could not be fixed for some reason. However,
    the software is working fine as tested in a VirtualBox environment of
    i386. The failing tests are conditionally dropped for i386.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 31 Mar 2021 14:28:43 +0200

libpappsomspp (0.8.22-1) unstable; urgency=low

  * Rewrite the Trace::containsX() function so that it passes the i386-based
    tests. All tests pass on an i386 VirtualBox-based testing Debian box.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 30 Mar 2021 10:18:36 +0200

libpappsomspp (0.8.21-1) unstable; urgency=low

  * Try to fix the build failures on i386 platforms due to double precision
    varying on 32 bits vs 64 bits platforms.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 29 Mar 2021 14:14:24 +0200

libpappsomspp (0.8.20-1) unstable; urgency=low

  * New upstream version with all the integration region selection reworked to
    cope with the specific case of integration skewed selection rectangle.

  * Add d/not-installed to list uninstalled files (those that are shipped as
    symbolic links).

  * Build-Depends: debhelper-compat (= 13).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 23 Mar 2021 17:01:09 +0100

libpappsomspp (0.8.19-1~buster+1) buster; urgency=medium

  * new test to control memory usage
  * no cache in mzcalibration timstof model
  * XIC shared pointer initialization in timstof reader

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 03 Mar 2021 16:30:53 +0100

libpappsomspp (0.8.18-1) unstable; urgency=low

  * New upstream version (see below).

  * Fixed a bunch of QT DEPRECATED warnings.

  * Standards-Version: 4.5.1 (no changes needed).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 25 Feb 2021 06:21:37 +0100

libpappsomspp (0.8.17-1~buster+1) buster; urgency=medium

  * tandemrunwrapper memory leak problem fixed
  * first working version of a TimsTofPRO XIC extractor
  * new test for tandemrunwrapper, TimsTofPROT xic extraction

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 23 Feb 2021 09:26:43 +0100

libpappsomspp (0.8.16-1~buster+2) buster; urgency=medium

  * TimsData reader performance enhancements
  * changing isotope natural abundance to use the massXpert definitions
  * DeepProt enumerations for controlled vocabulary across PAPPSO software
  * enabling test execution in debian package process

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 28 Jan 2021 11:46:15 +0100

libpappsomspp (0.8.16-1~buster+1) buster; urgency=medium

  * development package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 22 Jan 2021 13:22:56 +0100

libpappsomspp (0.8.15-1) unstable; urgency=low

  * New upstream version depending on libodsstream 0.7.11.

  * Disable make test for the moment.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 21 Dec 2020 18:05:07 +0100

libpappsomspp (0.8.14-1~buster+1) buster; urgency=medium

  * catch2 test suite is working
  * fix for standard exception compatibility

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 16 Dec 2020 14:00:13 +0100

libpappsomspp (0.8.13-1~buster+1) buster; urgency=medium

  * buster package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 09 Dec 2020 15:36:32 +0100

libpappsomspp (0.8.13-1) unstable; urgency=low

  * New upstream with improvement in the XIC widgets.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 08 Dec 2020 16:29:03 +0100

libpappsomspp (0.8.12-1) UNRELEASED; urgency=low

  * New upstream version with new tests imported from mineXpert2
    (Catch2-based).

  * See below for changes between 0.8.8 and now.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 02 Dec 2020 14:28:10 +0100

libpappsomspp (0.8.11-1~buster+1) buster; urgency=medium

  * test added
  * bug fix in chargeDeconvolution filter
  * including catch2 framework

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 24 Nov 2020 10:08:59 +0100

libpappsomspp (0.8.10-1~buster+1) buster; urgency=medium

  * better tandemrun wrapper
  * better FilterSuiteString

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 18 Nov 2020 10:13:20 +0100

libpappsomspp (0.8.9-1~buster+1) buster; urgency=medium

  * rewritten TimsTOF mz calibration API
  * new FilterNameInterface to build Filter with strings
  * Thomas Renne added in the copyright debian notice

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 17 Nov 2020 13:31:57 +0100

libpappsomspp (0.8.8-1~buster+1) buster; urgency=medium

  * autoremove directory created for tandem run wrapper

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 02 Nov 2020 10:50:32 +0100

libpappsomspp (0.8.8-1) unstable; urgency=low

  * Add the possibility to recalculate the x,y,z axis scale to log10 or
    linear.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 21 Oct 2020 14:29:32 +0200

libpappsomspp (0.8.7-1~buster+1) buster; urgency=medium

  * make new builtin centroid interface available throught
    TimsMsRunReader
  * access to the underlying timdata pointer from TimsMsRunReader

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 15 Oct 2020 09:14:24 +0200

libpappsomspp (0.8.6-1~buster+1) buster; urgency=medium

  * builtin centroid for timsdata

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 14 Oct 2020 10:22:37 +0200

libpappsomspp (0.8.5-1~buster+1) buster; urgency=medium

  * more checks on file permissions for tandem run wrapper
  * charge deconvolution documented

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 09 Oct 2020 15:37:09 +0200

libpappsomspp (0.8.4-1~buster+1) buster; urgency=medium

  * new charge deconvolution filter

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 08 Oct 2020 10:52:40 +0200

libpappsomspp (0.8.3-1~buster+1) buster; urgency=medium

  * better msrunreader error messages
  * regorganised xic extractor to ensure that device is released

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 05 Oct 2020 10:19:53 +0200

libpappsomspp (0.8.2-1) buster; urgency=low

  [ Filippo Rusconi ]
  * Fixes in the minus combiners.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 23 Sep 2020 15:22:50 +0200

libpappsomspp (0.8.2-1~buster+1) buster; urgency=medium

  * msrunreader new api to release/acquire file pointers

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 25 Sep 2020 15:07:16 +0200

libpappsomspp (0.8.1-1) unstable; urgency=low

  * Fix bug due to not testing pointer against nullptr.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 21 Sep 2020 17:20:31 +0200

libpappsomspp (0.8.0-1) UNRELEASED; urgency=low

  * Add MSn support.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 21 Sep 2020 15:53:13 +0200

libpappsomspp (0.7.15-1) unstable; urgency=low

  * Attempt at fixing the test/test_massrange.cpp failure in i386 platforms.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 10 Sep 2020 18:07:48 +0200

libpappsomspp (0.7.14-1) unstable; urgency=low

  * Bug fix in DataPoint initialization using initialize().

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 02 Sep 2020 10:23:48 +0200

libpappsomspp (0.7.14-1~buster+1) buster; urgency=medium

  * new filters : FilterComplementIonEnhancer, FilterGreatestYperWindow,
    FilterRemoveC13

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 27 Aug 2020 10:36:53 +0200

libpappsomspp (0.7.13-1) unstable; urgency=low

  * Another set of fixes for the faulty hard-coded path
    to the arch-specific system library directory.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 25 Aug 2020 13:13:48 +0200

libpappsomspp (0.7.12-1) unstable; urgency=low

  * Add new filter.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 24 Aug 2020 19:42:19 +0200

libpappsomspp (0.7.11-1) unstable; urgency=low

  * Fix problem with the shipped CMake-based config module file
    that was replaced with a find module file that has no
    path hard-coded in it. This should fix the failed builds on
    all the non x86_64 platforms.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 24 Aug 2020 15:45:21 +0200

libpappsomspp (0.7.11-1~buster+1) buster; urgency=medium

  * fix MassSpectrumWidget issue #3

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 17 Aug 2020 15:52:06 +0200

libpappsomspp (0.7.10-1~buster+1) buster; urgency=medium

  * buster package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 22 Jul 2020 11:04:12 +0200

libpappsomspp (0.7.10-1) unstable; urgency=low

  * New upstream version. Added new widget class to represent mass data
    to a TIC|XIC chromatogram / drift spectrum color map as requested
    by a user.

  * Updates to the packaging.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 09 Jul 2020 09:26:14 +0200

libpappsomspp (0.7.9-1~buster+1) buster; urgency=medium

  * new version for debian buster pappsodev

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 01 Jul 2020 18:49:18 +0200

libpappsomspp (0.7.8-1~buster+1) buster; urgency=medium

  * Debian buster backport

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 10 Jun 2020 17:04:05 +0200

libpappsomspp (0.7.8-1) unstable; urgency=low

  * New upstream that has the src/custompwiz source directory
    removed. This lib now build-depends on another package:
    libpwizlite-dev.

  * d/copyright was updated to reflect the removal of the pwiz code
    subset. Note that 3 files were kept, modified and relocated to
    the pappsomspp source tree. These were documented in d/copyright.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 04 Jun 2020 18:21:53 +0200

libpappsomspp (0.7.7-2) buster; urgency=medium

  * packaging problem fixed

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 19 May 2020 15:47:42 +0200

libpappsomspp (0.7.7-1) buster; urgency=medium

  * a lot of warnings fixed, better virtual destructors

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 18 May 2020 10:31:35 +0200

libpappsomspp (0.7.6-1) UNRELEASED; urgency=low

  * Fixes for the CMake build system.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 28 Apr 2020 18:03:15 +0200

libpappsomspp (0.7.5-1) unstable; urgency=low

  * New upstream version with fixex for Qt5 suffix
    remnants within CMake stuff. Also, use better
    name for the libs in the CMake dialect
    (PAPPSOMSPP becomes PappsoMSpp).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 28 Apr 2020 16:35:52 +0200

libpappsomspp (0.7.4-1) unstable; urgency=low

  * New upstream version with MultiArch support.

  * General review of the packaging for Debian official repos upload.

  * Full copyright holders info in d/copyright.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 22 Apr 2020 10:14:26 +0200

libpappsomspp (0.7.3-2) buster; urgency=medium

  * no more global include directories in cmake to fix compilation
    problems

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 20 Apr 2020 09:08:55 +0200

libpappsomspp (0.7.3-1) buster; urgency=medium

  * new system to export symbols for Windows system
  * filter pseudo centroid

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 15 Apr 2020 08:02:58 +0200

libpappsomspp (0.7.2-3) buster; urgency=medium

  * important fix in timsframe polynomial resolution

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 12 Apr 2020 16:57:34 +0200

libpappsomspp (0.7.2-2) buster; urgency=medium

  * fix pappsomsconfig generation and install

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 10 Apr 2020 19:36:54 +0200

libpappsomspp (0.7.2-1) buster; urgency=medium

  * reworked cmake stuff

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 10 Apr 2020 10:26:45 +0200

libpappsomspp (0.7.1-1) buster; urgency=medium

  * brand new library, including libpwiz to avoid compilation problems

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 08 Apr 2020 18:26:53 +0200

libpappsomspp (0.7.0-1) unstable; urgency=low

  * New packaging for testing Debian sid package creation.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 18 Jan 2020 21:05:02 +0100

libpappsomspp (0.6.5-1ubuntu1) bionic; urgency=medium

  * ubuntu 18.04 package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 10 Jan 2020 21:59:22 +0000

libpappsomspp (0.6.5-1) buster; urgency=medium

  * catch pwiz runtime error
  * set scans number for mzXML files

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 08 Jan 2020 20:50:05 +0100

libpappsomspp (0.6.4-1) buster; urgency=medium

  * a lot of development from Filippo Rusconi and Olivier Langella

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 19 Dec 2019 21:55:55 +0100

libpappsomspp (0.6.3-2) buster; urgency=medium

  * buster package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 12 Sep 2019 15:23:58 +0200

libpappsomspp (0.6.3-1) stretch; urgency=medium

  * better BaseTracePlotWidget
  * new callback function to cancel msrunreader operation
  * new set of objects to handle Bruker's Tims TOF raw data natively
  * new MsRunReaders for Bruker's Tims TOF raw data (incomplete)

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 11 Sep 2019 09:57:57 +0200

libpappsomspp (0.6.2-1) buster; urgency=medium

  * first buster package
  * new BaseTracePlotWidget designed by Filippo Rusconi
  * FastaFileIndexer object
  * new function hasScanNumbers to know if an MSrun file can be accessed using scan numbers
    (true with Thermo, false with others)
  * peptide palindrome test
  * new code to compute natural isotope average
  * new constructor Trace(const MapTrace &map_trace) to build directly a Trace from MapTrace

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 16 Jul 2019 14:23:52 +0200

libpappsomspp (0.6.1-1) stretch; urgency=medium

  * huge refactoring with Filippo Rusconi
  * work in progress to define a tree structure and browse MS runs
  * new object and API to align MS runs using the MS2 method

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 08 Jun 2019 19:29:09 +0200

libpappsomspp (0.6.0-1) stretch; urgency=medium

  * huge refactoring with Filippo Rusconi
  * all filters now available on a Trace object with a simple interface
  * peak detection as a new simple interface that can be used on any Trace
  * new feature to combine several traces or mass spectrum
  * mass spectrum scan numbers are deprecated in favor of a simple index of the scan
  * a new msfile accessor is available to handle multiple ms runs into a single file

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 23 May 2019 11:00:11 +0200

libpappsomspp (0.5.1-1) stretch; urgency=medium

  * better packaging
  * mutation support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 23 Mar 2019 07:27:31 +0100

libpappsomspp (0.5.0-1) stretch; urgency=medium

  * library entirely refactored with Filippo Rusconi
  * better documentation
  * coding standards available

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 06 Feb 2019 10:27:13 +0100

libpappsomspp (0.4.5-1) stretch; urgency=medium

  * new package with graphical bug fix

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 08 Jan 2019 15:49:32 +0100

libpappsomspp (0.4.4-5) stretch; urgency=medium

  * new pwiz library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 02 Jan 2019 21:24:24 +0100

libpappsomspp (0.4.4-3) stretch; urgency=medium

  * new qcustomplot library 2.0.1

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 11 Dec 2018 19:07:06 +0100

libpappsomspp (0.4.4-1) unstable; urgency=low

  * Packaging for first upload to the NEW queue.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 11 Dec 2018 11:06:34 +0100

libpappsomspp (0.4.3-2) stretch; urgency=medium

  * fix MGF precursor scan num empty

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 02 Nov 2018 13:44:50 +0100

libpappsomspp (0.4.3-1) stretch; urgency=medium

  * new buffered XIC reader based on pwiz library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 14 Aug 2018 14:27:31 +0200

libpappsomspp (0.4.2-1) stretch; urgency=medium

  * new API to read MSrun data

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 02 Jun 2018 07:12:31 +0200

libpappsomspp (0.4.1-1) stretch; urgency=medium

  * new xic extractor based on slices and having a read buffer

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 24 May 2018 19:24:13 +0200

libpappsomspp (0.4.0-2) stretch; urgency=medium

  * fix out of range problem

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 17 May 2018 22:01:40 +0200

libpappsomspp (0.4.0-1) stretch; urgency=medium

  * new XIC extractor API and new dependency to proteowizard library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 16 May 2018 09:34:30 +0200

libpappsomspp (0.3.4-1) stretch; urgency=medium

  * API to draw peak borders

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 14 Apr 2018 17:29:13 +0200

libpappsomspp (0.3.3-3) stretch; urgency=medium

  * fix cmake config module

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 12 Feb 2018 09:13:16 +0100

libpappsomspp (0.3.3-2) stretch; urgency=medium

  * using new libodsstream package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 11 Feb 2018 16:54:30 +0100

libpappsomspp (0.3.3-1) stretch; urgency=medium

  * better widgets

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 09 Feb 2018 15:57:58 +0100

libpappsomspp (0.3.2-1) stretch; urgency=medium

  * new XIC widget

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 18 Jan 2018 15:54:09 +0100

libpappsomspp (0.3.1-1) stretch; urgency=medium

  * new precision widget, better spectrum widget

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 10 Jan 2018 14:06:33 +0100

libpappsomspp (0.3.0-3) stretch; urgency=medium

  * avoid unneeded computations

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 03 Jan 2018 09:10:46 +0100

libpappsomspp (0.3.0-2) stretch; urgency=medium

  * isotope number instead of level

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 02 Jan 2018 17:00:11 +0100

libpappsomspp (0.3.0-1) stretch; urgency=medium

  * new PAPPSO widget package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 02 Jan 2018 10:48:10 +0100

libpappsomspp (0.2.40-1) stretch; urgency=medium

  * faster grouping algorithm, refactoring

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 17 Dec 2017 14:05:18 +0100

libpappsomspp (0.2.39-1) stretch; urgency=medium

  * better perf in grouping algorithm

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 15 Dec 2017 10:06:14 +0100

libpappsomspp (0.2.38-1) stretch; urgency=medium

  * centos7 compilation
  * fixed spectrum unique
  * better grouping performance

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 21 Oct 2017 10:44:30 +0200

libpappsomspp (0.2.37-1) stretch; urgency=medium

  * new API for amino acid widlcards, new spectrum functions

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 18 Sep 2017 10:29:48 +0200

libpappsomspp (0.2.36-1) stretch; urgency=medium

  * new peptide functions

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 20 Jun 2017 21:53:35 +0200

libpappsomspp (0.2.35-1~stretch) stretch; urgency=medium

  * stretch pakage

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 11 May 2017 15:02:25 +0200

libpappsomspp (0.2.35-1) jessie; urgency=medium

  * new grouping API

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 26 Apr 2017 21:17:09 +0200

libpappsomspp (0.2.34-1) jessie; urgency=medium

  * new peptides API to handle modification removal

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 24 Apr 2017 09:03:01 +0200

libpappsomspp (0.2.33-1~stretch) stretch; urgency=medium

  * stretch package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 18 Apr 2017 19:13:29 +0200

libpappsomspp (0.2.33-1) jessie; urgency=medium

  * better grouping, contaminant handler modified

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 18 Apr 2017 11:17:20 +0200

libpappsomspp (0.2.32-3~stretch) stretch; urgency=medium

  * stretch package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 18 Mar 2017 13:50:48 +0100

libpappsomspp (0.2.32-3) jessie; urgency=medium

  * better intensity ratio isotope determination

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 21 Jan 2017 12:13:24 +0100

libpappsomspp (0.2.32-2) stretch; urgency=medium

  * stretch package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 21 Dec 2016 21:43:27 +0100

libpappsomspp (0.2.32-1) jessie; urgency=medium

  * better spectrum API

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 20 Dec 2016 17:01:04 +0100

libpappsomspp (0.2.31-2) stretch; urgency=medium

  * stretch package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 19 Dec 2016 18:45:14 +0100

libpappsomspp (0.2.31-1) jessie; urgency=medium

  * new modification replacer in digestion API

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 07 Dec 2016 13:43:48 +0100

libpappsomspp (0.2.30-2) jessie; urgency=medium

  * digestion bug fixed

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 14 Nov 2016 21:52:40 +0100

libpappsomspp (0.2.30-1) jessie; urgency=medium

  * new digestion API

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 19 Oct 2016 21:50:47 +0200

libpappsomspp (0.2.29-1) jessie; urgency=medium

  * new peptide digestion pipeline

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 13 Sep 2016 13:55:11 +0200

libpappsomspp (0.2.28-1) jessie; urgency=medium

  * don't handle xic sink pointer lifetime

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 30 Aug 2016 17:12:30 +0200

libpappsomspp (0.2.27-1) jessie; urgency=medium

  * new ion types

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 25 Aug 2016 07:48:16 +0200

libpappsomspp (0.2.26-1) jessie; urgency=medium

  * new features in xtandem hyperscore computations

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 23 Aug 2016 10:06:12 +0200

libpappsomspp (0.2.25-1) jessie; urgency=medium

  * improving spectrum process for tandem hyperscore computation

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 19 Aug 2016 10:54:19 +0200

libpappsomspp (0.2.24-1) jessie; urgency=medium

  * new API to digest protein, new documentation

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 15 Jul 2016 16:01:40 +0200

libpappsomspp (0.2.23-1) jessie; urgency=medium

  * formula one

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sun, 03 Jul 2016 23:20:42 +0200

libpappsomspp (0.2.22-1) jessie; urgency=medium

  * XML id added in msrun

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 25 Jun 2016 17:34:19 +0200

libpappsomspp (0.2.21-1) jessie; urgency=medium

  * computing PSI OBO modification masses using the diff formula

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 24 Jun 2016 21:53:34 +0200

libpappsomspp (0.2.20-1) jessie; urgency=medium

  * compute amino acid mass using the chemical formula

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 22 Jun 2016 21:47:53 +0200

libpappsomspp (0.2.19-1) jessie; urgency=medium

  * proton vs protium bug fixed

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 22 Jun 2016 16:25:05 +0200

libpappsomspp (0.2.18-1) jessie; urgency=medium

  * disctinction between proton and protium mass

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 22 Jun 2016 15:34:14 +0200

libpappsomspp (0.2.17-1) jessie; urgency=medium

  * amino acid precision goes now to 4 digits instead of previous 3
    digits

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 22 Jun 2016 13:48:34 +0200

libpappsomspp (0.2.16-1) jessie; urgency=medium

  * new syntax to limit modifications per site

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sun, 12 Jun 2016 08:12:44 +0200

libpappsomspp (0.2.15-1) jessie; urgency=medium

  * new API to build peptide modification pipeline from strings

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 11 Jun 2016 22:15:09 +0200

libpappsomspp (0.2.14-1) jessie; urgency=medium

  * final fix into massrange

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 20 May 2016 22:31:50 +0200

libpappsomspp (0.2.13-1) jessie; urgency=medium

  * bug fix on PAPPSO mass range build with upper and lower precision

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 18 May 2016 15:25:20 +0200

libpappsomspp (0.2.12-1) jessie; urgency=medium

  * construct MassRange with upper and lower precisions

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 02 May 2016 16:40:31 +0200

libpappsomspp (0.2.11-1) jessie; urgency=medium

  * get highest and lowest mass of MassRange

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 28 Apr 2016 15:14:20 +0200

libpappsomspp (0.2.10-1) jessie; urgency=medium

  * peptide modification API modified, new Xic MS point distance
    function added

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 09 Apr 2016 22:52:33 +0200

libpappsomspp (0.2.9-1) jessie; urgency=medium

  * copy constructor bug fixed in Xic isotope

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 17 Mar 2016 08:46:10 +0100

libpappsomspp (0.2.8-2) jessie; urgency=medium

  * copy constructor added

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 14 Mar 2016 21:18:37 +0100

libpappsomspp (0.2.8-1) jessie; urgency=medium

  * Precision pointers, xic detection methods

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 10 Mar 2016 12:13:15 +0100

libpappsomspp (0.2.7-1) jessie; urgency=medium

  * combinations cached
  * parsing PSI MOD istope labels
  * semi tryptic digestion

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 08 Feb 2016 09:06:57 +0100

libpappsomspp (0.2.6-2) jessie; urgency=medium

  * unneeded move constructor removed

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 14 Dec 2015 22:26:54 +0100

libpappsomspp (0.2.6-1) jessie; urgency=medium

  * get ion list

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 28 Nov 2015 23:05:36 +0100

libpappsomspp (0.2.5-2) jessie; urgency=medium

  * make shared pointer on ion fragment list

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 28 Nov 2015 08:41:47 +0100

libpappsomspp (0.2.5-1) jessie; urgency=medium

  * new peptide functions

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 21 Nov 2015 15:08:43 +0100

libpappsomspp (0.2.4-2) jessie; urgency=medium

  * symbols update

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 07 Nov 2015 21:15:46 +0100

libpappsomspp (0.2.4-1) jessie; urgency=medium

  * better protein API

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 07 Nov 2015 15:29:19 +0100

libpappsomspp (0.2.3-1) jessie; urgency=medium

  * avoid resource name conflicts

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 23 Oct 2015 15:37:53 +0200

libpappsomspp (0.2.2-2) jessie; urgency=medium

  * U amino acid taken into account

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 23 Oct 2015 13:08:17 +0200

libpappsomspp (0.2.2-1) jessie; urgency=medium

  * XIC detection API

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 16 Oct 2015 14:12:09 +0200

libpappsomspp (0.2.0-2) jessie; urgency=medium

  * new peptide and spectrum API

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 03 Oct 2015 23:17:10 +0200

libpappsomspp (0.2.0-1) jessie; urgency=medium

  * new API to digest and modify peptides

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 30 Sep 2015 10:03:45 +0200

libpappsomspp (0.1.0-2) jessie; urgency=medium

  * better API to handle phospho loss

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 14 Sep 2015 19:34:50 +0200

libpappsomspp (0.1.0-1) jessie; urgency=medium

  * better MS fragment ion support

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 10 Sep 2015 22:32:02 +0200

libpappsomspp (0.0.4-3) jessie; urgency=medium

  * get PSI MOD name

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 04 Sep 2015 17:09:35 +0200

libpappsomspp (0.0.4-2) jessie; urgency=medium

  * new getter to access obo term list

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 04 Sep 2015 16:26:52 +0200

libpappsomspp (0.0.4-1) jessie; urgency=medium

  * new peptide parser using aa modifications

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 03 Sep 2015 14:29:53 +0200

libpappsomspp (0.0.3-3) jessie; urgency=medium

  * library informations added in debian package (symbols, shlibs)

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 19 Aug 2015 22:56:54 +0200

libpappsomspp (0.0.3-2) jessie; urgency=medium

  * little fix

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 19 Aug 2015 16:38:26 +0200

libpappsomspp (0.0.3-1) jessie; urgency=medium

  * grouping functions OK

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 18 Aug 2015 10:53:35 +0200

libpappsomspp (0.0.2-1) jessie; urgency=medium

  * first good package... I hope

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 12 Jun 2015 08:58:19 +0200

libpappsomspp (0.0.1-5) jessie; urgency=medium

  * fix package concurency problem

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 11 Jun 2015 15:26:37 +0200

libpappsomspp (0.0.1-4) jessie; urgency=medium

  * double Debian package for Qt4 and Qt5

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 11 Jun 2015 15:18:33 +0200

libpappsomspp (0.0.1-3) jessie; urgency=medium

  * cmake module added to dev package

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 29 May 2015 16:08:52 +0200

libpappsomspp (0.0.1-2) jessie; urgency=medium

  * first Debian Jessie package

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 29 May 2015 15:09:46 +0200

libpappsomspp (0.0.1-1) wheezy; urgency=low

  * first debian package

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 16 Mar 2015 14:06:18 +0100

